Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.analysis
Interface DifferentiableMultivariateRealFunction

All Superinterfaces:
  MultivariateRealFunction

    public interface DifferentiableMultivariateRealFunction

extends MultivariateRealFunction

Extension of `MultivariateRealFunction` representing a differentiable multivariate real function.

Since:
  2.0
Version:
  $Revision: 811685 $ $Date: 2009-09-05 19:36:48 +0200 (sam. 05 sept. 2009) $

Method Summary
`MultivariateVectorialFunction` | `gradient()` Returns the gradient function.
`MultivariateRealFunction` | `partialDerivative(int k)` Returns the partial derivative of the function with respect to a point coordinate.

Methods inherited from interface org.apache.commons.math.analysis.MultivariateRealFunction
`value`

Method Detail

### partialDerivative

    MultivariateRealFunction partialDerivative(int k)

  Returns the partial derivative of the function with respect to a point coordinate.

  The partial derivative is defined with respect to point coordinate xk. If the partial derivatives with respect to all coordinates are needed, it may be more efficient to use the `gradient()` method which will compute them all at once.

  Parameters:
    `k` - index of the coordinate with respect to which the partial derivative is computed
  Returns:
    the partial derivative function with respect to kth point coordinate

### gradient

    MultivariateVectorialFunction gradient()

  Returns the gradient function.

  If only one partial derivative with respect to a specific coordinate is needed, it may be more efficient to use the `partialDerivative(int)` method which will compute only the specified component.

  Returns:
    the gradient function

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.